Bug 354353 - Animation performance in panel decrease with continous usage
Summary: Animation performance in panel decrease with continous usage
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Panel (show other bugs)
Version: 5.4.2
Platform: Other Linux
: NOR minor
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-25 15:49 UTC by Anthony Fieroni
Modified: 2016-03-19 18:08 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anthony Fieroni 2015-10-25 15:49:36 UTC
Animation tips in panel performace decreases after some usage, it's difficult to explain.

Reproducible: Always

Steps to Reproduce:
1. Systemsettings -> Desktop behavior -> Workspace -> Show informational tips -> tick
2. Mouse over through elements in panel makes smooth aminations
3. Add/remove some widgets, webbrowser especially.
4. Animations become decreases performace
5. Continous usage enhance effect
6. Add new panel, animations on newly one are with great performance

Actual Results:  
Animations performance in panel decrease with continous usage.

Expected Results:  
Animations to runs smooth
Comment 1 Anthony Fieroni 2016-01-22 06:01:02 UTC
Still happens after some days of usage, use/susped/restore and so on. When compositor is disabled (alt+shift+f12) animation trasition is still performed, who makes it? KWin?
Comment 2 Anthony Fieroni 2016-03-19 18:08:01 UTC
Fixed in Plasma 5.6